blk_queue_dma_alignment
Prev | Chapter 19. Block Devices | Next

## Name

blk_queue_dma_alignment — set dma length and memory alignment

## Synopsis

`void blk_queue_dma_alignment (` | struct request_queue * | q,
| int | mask`)`;

## Arguments

`q`

  the request queue for the device

`mask`

  alignment mask

## description

set required memory and length aligment for direct dma transactions. this is used when buiding direct io requests for the queue.

Prev | Up | Next
blk_queue_segment_boundary | Home | blk_queue_find_tag